Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# SlamFlagLocator::NewFlagContainer Class Reference

`#include <SlamFlagLocator.h>`

Collaboration diagram for SlamFlagLocator::NewFlagContainer:

[legend]
List of all members.

## Public Types
enum | { NO_OF_FLAGS = 10, NO_OF_CHARACTERIZATIONS = 13 }
## Public Member Functions
| NewFlagContainer ()
void | reset ()
void | addFlag (Vector2< int > flag, int characterization)
void | getFlagsForCharacterization (Vector2< int > **flags, int &numberOfStored, int characterization)
## Private Attributes
Vector2< int > | flagPositions [NO_OF_CHARACTERIZATIONS][NO_OF_FLAGS]
int | numberOfStoredFlags [NO_OF_CHARACTERIZATIONS]

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  NO_OF_FLAGS |
  NO_OF_CHARACTERIZATIONS |
Definition at line 28 of file SlamFlagLocator.h.

## Constructor & Destructor Documentation

SlamFlagLocator::NewFlagContainer::NewFlagContainer | ( |  | ) | `[inline]`

| Definition at line 33 of file SlamFlagLocator.h. References reset().

Here is the call graph for this function:

## Member Function Documentation

void SlamFlagLocator::NewFlagContainer::reset | ( | void |  | ) | `[inline]`

| Definition at line 38 of file SlamFlagLocator.h. References NO_OF_CHARACTERIZATIONS, and numberOfStoredFlags. Referenced by NewFlagContainer().

void SlamFlagLocator::NewFlagContainer::addFlag | ( | Vector2< int > | flag,
|  | int | characterization
| ) | `[inline]`

| Definition at line 44 of file SlamFlagLocator.h. References flagPositions, NO_OF_FLAGS, and numberOfStoredFlags. Referenced by SlamFlagLocator::calcFlags().

void SlamFlagLocator::NewFlagContainer::getFlagsForCharacterization | ( | Vector2< int > ** | flags,
|  | int & | numberOfStored,
|  | int | characterization
| ) | `[inline]`

| Definition at line 55 of file SlamFlagLocator.h. References flagPositions, and numberOfStoredFlags. Referenced by SlamFlagLocator::draw().

## Member Data Documentation

Vector2<int> SlamFlagLocator::NewFlagContainer::flagPositions[NO_OF_CHARACTERIZATIONS][NO_OF_FLAGS]`[private]`

| Definition at line 63 of file SlamFlagLocator.h. Referenced by addFlag(), and getFlagsForCharacterization().

int SlamFlagLocator::NewFlagContainer::numberOfStoredFlags[NO_OF_CHARACTERIZATIONS]`[private]`

| Definition at line 64 of file SlamFlagLocator.h. Referenced by addFlag(), getFlagsForCharacterization(), and reset().

The documentation for this class was generated from the following file:

- Modules/ImageProcessor/SlamImageProcessor/SlamFlagLocator.h